SignSecure Sign PadSignSecure Sign Pad
Workflows

Launch the latest published workflow version

POST
/workflows/{workflowId}/runs

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

workflowId*string

The reusable workflow definition ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.signpad.signsecure.in/api/v1/workflows/string/runs" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "recipients": [      {        "participantKey": "string",        "name": "string"      }    ]  }'
{
  "envelopeId": "string",
  "workflowDefinitionId": "string",
  "workflowVersionId": "string",
  "approvalStatus": "not_required"
}
{
  "code": "string",
  "message": "string",
  "details": {},
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "string",
  "message": "string",
  "details": {},
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "string",
  "message": "string",
  "details": {},
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}